MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001510XdebugInstallationpublic2018-01-04 11:232018-01-22 18:21
Reporterderick 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.6.0Fixed in Version2.6.0rc1 
Summary0001510: Change switch/case "break intentionally missing" comments to use GCC 7's new "fallthrough" attribute
DescriptionGCC 7 adds a new flag to -Wextra: -Wimplicit-fallthrough, which warns when there is no break; statement at the end each case section.

It needs to use the new attribute as is described at https://developers.redhat.com/blog/2017/03/10/wimplicit-fallthrough-in-gcc-7/ [^]
TagsNo tags attached.
Operating System
PHP Version7.2.0-7.2.4
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2018-01-04 11:23 derick New Issue
2018-01-07 18:17 derick Summary Upgrade switch/case fallthrough comments to use GCC 7's new attribute => Change switch/case "break intentionally missing" comments to use GCC 7's new "fallthrough" attribute
2018-01-08 15:18 derick Status new => closed
2018-01-08 15:18 derick Assigned To => derick
2018-01-08 15:18 derick Resolution open => fixed
2018-01-08 15:18 derick Fixed in Version => 2.6.0
2018-01-22 18:21 derick Fixed in Version 2.6.0 => 2.6.0rc1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker